Last Comment Bug 321601 - [Mac] Support Command+Option+Arrows for tab switching (like Camino)
: [Mac] Support Command+Option+Arrows for tab switching (like Camino)
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed-seamonkey1.1a, fixed1.8.0.1, fixed1.8.1
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- minor (vote)
: seamonkey1.1alpha
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on:
Blocks: 322381
  Show dependency treegraph
 
Reported: 2005-12-27 04:04 PST by Stefan [:stefanh]
Modified: 2008-07-31 04:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Make cmd+opt+left/right arrow switch tab on mac (1.84 KB, patch)
2005-12-27 04:10 PST, Stefan [:stefanh]
mnyromyr: review+
Details | Diff | Review
New version using a constant instead of <field/> (2.71 KB, patch)
2006-01-02 10:09 PST, Stefan [:stefanh]
stefanh: review+
neil: superreview+
csthomas: approval‑seamonkey1.0+
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Review

Description Stefan [:stefanh] 2005-12-27 04:04:17 PST
This is the xpfe version of bug 275519.
Comment 1 Stefan [:stefanh] 2005-12-27 04:10:56 PST
Created attachment 206913 [details] [diff] [review]
Make cmd+opt+left/right arrow switch tab on mac

It seems that all field names starts with an underscore (and a few properties as well) so I kept the underscore.
Comment 2 Karsten Düsterloh 2005-12-27 16:47:49 PST
Comment on attachment 206913 [details] [diff] [review]
Make cmd+opt+left/right arrow switch tab on mac

I'm not particularly happy with that keys, but since we will "have to buy" them with toolkit later anyways, we might as do so now...
Otherwise okay.
Comment 3 neil@parkwaycc.co.uk 2005-12-28 07:39:25 PST
Comment on attachment 206913 [details] [diff] [review]
Make cmd+opt+left/right arrow switch tab on mac

Assuming we're not going to change the value you can in fact declare it (without underscore) in the event handler. Or just inline the regexp. Or just ignore it and wait for other platforms with Cmd+Option+Arrow to complain ;-)

Nit: doubled space in two of the if statements.
Comment 4 Stefan [:stefanh] 2006-01-02 10:09:50 PST
Created attachment 207352 [details] [diff] [review]
New version using a constant instead of <field/>

Hmm, should I prefix the constant with a "k"? Looks like no one follows the rules... (transferring mnyromyr's r+)
Comment 5 Ian Neal 2006-01-04 07:06:30 PST
Comment on attachment 207352 [details] [diff] [review]
New version using a constant instead of <field/>

a=me for 1.0 and 1.1, one more needed for 1.0 though
Comment 6 Karsten Düsterloh 2006-01-04 07:14:53 PST
Checked in on trunk and MOZILLA_1_8_BRANCH.
Comment 7 Karsten Düsterloh 2006-01-04 07:56:20 PST
Checked in on MOZILLA_1_8_0_BRANCH.
Comment 8 Marcia Knous [:marcia - use ni] 2006-01-10 17:48:02 PST
Verified on the branch using Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060110 Firefox/1.5.0.1.
Comment 9 Stefan [:stefanh] 2006-01-11 00:29:39 PST
(In reply to comment #8)
> Verified on the branch using Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O;
> en-US; rv:1.8.0.1) Gecko/20060110 Firefox/1.5.0.1.

Marcia, did you noticed that the "product" is Mozilla App Suite?

Comment 10 Samuel Sidler (old account; do not CC) 2006-01-11 12:49:17 PST
Since Marcia verified this with a Fx build instead of a SM one. Removing verified1.8.0.1 keyword.
Comment 11 Marcia Knous [:marcia - use ni] 2006-01-11 17:46:17 PST
Stefan: Sorry, this was coming up in our query and I did not look at the product closely (did it with another bug too). thanks for Samuel for correcting the keyword.

(In reply to comment #9)
> (In reply to comment #8)
> > Verified on the branch using Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O;
> > en-US; rv:1.8.0.1) Gecko/20060110 Firefox/1.5.0.1.
> 
> Marcia, did you noticed that the "product" is Mozilla App Suite?
> 


Note You need to log in before you can comment on or make changes to this bug.